Sublime text的pylinter插件设置pylint_rc后提示错误

Python 2015年11月30日 , ,

Sublime Text遇到pylinter,当两个非常好用的工具相遇时,悲剧就发生了,而这种悲剧发生的原因在于对二者的不理解。废话少絮

Sublime text插件pylinter提示错误

Warning: option include-ids is deprecated and ignored.

错误本身是Python的错误,这说明不是插件的问题,就是配置文件的问题。

pylinter的设置如下:

    "pylint_rc": "C:/pylint-1.4.4/pylint/pylintrc",
    //"pylint_rc": null,

经过一番查找定位,发现确实是配置文件出现的问题,打开配置文件pylintrc,查找symbols=no,将其注释掉就可以了。在配置文件也写明,已经弃用了。

# Deprecated. It was used to include symbolic ids of messages in output. Use

# --msg-template instead.
#symbols=no

 

如无特别说明,本站文章皆为原创,若要转载,务必请注明以下原文信息:
日志标题:《Sublime text的pylinter插件设置pylint_rc后提示错误》
日志链接:http://furzoom.com/sublime-text-pylinterpylint_rc-error/
博客名称:枫竹梦

发表评论

插入图片

NOTICE1:请申请gravatar头像,没有头像的评论可能不会被回复!

回到顶部